Subject: bug#50950: [External] : bug#50950: "(emacs) Mark" should contrast to "selecting" text in other editors

From: Drew Adams <[email-masked]>
Date: Sat, 16 Oct 2021 18:33:45 +0000

> > 3. I think it's a mistake to speak of "moving
> > point" and saying "you move point".
> >
> > Point is just the current cursor position.  You
> > move the cursor, not point.
> 
> Not in Emacs.  In Emacs, commands move point, and the cursor is then
> drawn to show where point is.

Yes, in Emacs.  In Emacs, users move the cursor,
which means that point changes.  You don't see
point; you see the cursor.  Point is a position:
the position of the cursor.

We're talking to users, and we should use a user
point of view.  That starts with the things you
see and act on.  What takes place under the covers
to enable you to act on those things is something
else.  Yes, users need to know about some of those
things too.  But start with what's user-visible.

We'll have to agree to disagree about this one,
I'm afraid.  I offered my suggestions; ignore
them as you like.